# -*- coding: utf-8 -*-
"""
Created on Wed Dec  2 10:22:19 2020

@author: RefaelWhyte
"""

import chronoptics.tof as tof

reader = tof.CsfReader("large_file.csf")

writer = tof.createCsfWriterReader("small_file.csf")

# Go to the 100th frame
reader.goToFrame(tof.FrameType.RAW, 100)
for n in range(0, 20):
    # Write the next 20 frames from the reader file into the writer
    frame = reader.readFrame()
    writer.writeFrame(frame)
    del frame

# Close all the files down
del writer
del reader
